Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	image thumbnailing library for Enlightenment.
Name: 		epsilon
Version: 	20071209
Release: 	1
License:	BSD
URL: 		http://www.enlightenment.org
Source0: 	%{name}-%{version}.tar.gz
Group: 		Graphical Desktop/Enlightenment17
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	ecore-devel
BuildRequires:	edje-devel
BuildRequires:	eet-devel
BuildRequires:	epeg-devel
BuildRequires:	evas-devel
BuildRequires:  expat-devel
BuildRequires:	freetype-devel
BuildRequires:  fontconfig-devel
BuildRequires:	imlib2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:  glibc-devel
BuildRequires:  curl-devel
BuildRequires:  openssl-devel
BuildRequires:  libidn-devel
BuildRequires:  zlib-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXp-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  DirectFB-devel
BuildRequires:  libtool-devel
BuildRequires:	xine-lib-devel

%description 
Epsilon is a flexable and powerful image thumbnailing library that is complient
with the freedesktop.org Thumbnail Managing Standard.
Unlike Epeg, Epsilon has native support for PNG, and is built upon Imlib2
making any format supported by Imlib2 such as JPEG, PNG, XCF, TIFF and GIF.
To provide the best possible performance Epsilon can even integrate with
Epeg directly to harness its speed.

%package devel
Summary:        Development files for epsilon
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using epsilon.

%prep
%setup -qn epsilon

%build
./autogen.sh
%configure -prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/%{name}
%_bindir/epsilon_thumb_test
%_bindir/epsilon_thumbd
%_libdir/*.so.*
%_libdir/epsilon/plugins

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
#%_libdir/epsilon/plugins/*.la
%_libdir/*.so
%_libdir/pkgconfig

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Version Update
* Sat Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0.007-5
- recompiled
* Sun Dec 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0.007-4
- recompiled package
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0.007-3
- recompiled package
- CVS
* Fri Aug 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0.007-2
- recompiled package
* Fri Jun 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0.007-1
- Initial Release
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0.004-1
- Initial Release
